Package twisted :: Package protocols :: Module http :: Class HTTPClient |
[show private | hide private]
[frames | no frames]

## Class HTTPClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          HTTPClient

Known Subclasses:
  `ShoutcastClient`, `HTTPPageGetter`, `GoogleChecker`, `ProxyClient`, `QueryProtocol`

A client for HTTP 1.0

Notes: You probably want to send a 'Host' header with the name of the site you're connecting to, in order to not break name based virtual hosting.

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `endHeaders(self)`
| `handleEndHeaders(*args)`
| `handleHeader(*args)`
| `handleResponseEnd(self)`
| `handleResponsePart(self, data)`
| `handleStatus(*args)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| `sendCommand(self, command, path)`
| `sendHeader(self, name, value)`
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`int` | `firstLine`
`NoneType` | `length`
`str` | `_HTTPClient__buffer`

Method Details

### connectionLost(self, reason) Called when the connection is shut down. Clear any circular references here, and any external references to this Protocol. The connection has been closed. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### lineReceived(self, line) Override this for when each line is received. Overrides: `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### rawDataReceived(self, data) Override this for when raw data is received. Overrides: `twisted.protocols.basic.LineReceiver.rawDataReceived` (inherited documentation)

Class Variable Details

    ### firstLine Type: `int` Value:
        1

    ### length Type: `NoneType` Value:
        None

    ### _HTTPClient__buffer Type: `str` Value:
        ''

Generated by Epydoc 1.1 on Thu May 8 13:18:46 2003 | http://epydoc.sf.net